.modal {
  position: fixed;
  display: block;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  visibility: hidden;
  opacity: 0;
  transition: all 0.1s ease-in-out;
  overflow-y: auto;
  overflow-x: hidden;
  z-index: 5000; }
  .modal > div:first-child {
    animation: unset;
    transition: unset; }
  .modal__backdrop {
    background: rgba(0, 0, 0, 0.8);
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: -1;
    visibility: hidden;
    overflow: hidden; }
    .modal__backdrop.bclose {
      display: none;
      visibility: hidden;
      opacity: 0; }
    .modal__backdrop.bopen {
      opacity: 1;
      visibility: visible;
      display: block; }
      .modal__backdrop.bopen body {
        overflow: hidden; }
  .modal__content {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    pointer-events: none; }

.open {
  visibility: visible;
  opacity: 1; }
  .open > .modal__content {
    animation: showani 0.2s alternate forwards; }

.close {
  animation: hideani 0.2s alternate forwards; }

@keyframes showani {
  0% {
    transform: scale(0.7); }
  45% {
    transform: scale(1.05); }
  80% {
    transform: scale(0.95); }
  100% {
    transform: scale(1); } }

@keyframes hideani {
  0% {
    transform: scale(1);
    opacity: 1; }
  100% {
    transform: scale(0.5);
    opacity: 0; } }

.contentwrap {
  position: relative;
  pointer-events: visible;
  background: url("../../static/images/bg_modal.png") top center no-repeat;
  background-size: 100% 100%;
  padding: 2% 4% 3% 4%;
  width: 442px;
  height: 307px;
  text-align: center;
  color: #fff; }
  @media (max-width: 768px) {
    .contentwrap {
      width: 70vw; } }
  @media (max-width: 640px) {
    .contentwrap {
      padding: 7%; } }
  .contentwrap.characterModal {
    background-size: 100% 100%;
    width: 50vw; }
    .contentwrap.characterModal img {
      max-width: 100%; }
    @media (max-width: 640px) {
      .contentwrap.characterModal {
        width: 70vw; } }

.modal_btn {
  display: flex;
  justify-content: center; }

.btn_close {
  position: absolute;
  right: -30px;
  top: -30px;
  cursor: pointer; }

.inner {
  height: 25vh;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1.2;
  font-family: 'Kanit-Light', tahoma;
  font-size: 21px;
  margin: 5% 0; }
  @media (max-width: 640px) {
    .inner {
      font-size: 16px;
      height: 20vh; } }
  .inner--board {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%; }
  .inner--boardmaxwidth {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%; }

.text {
  font-family: 'Kanit', tahoma; }
  .text--head {
    font-size: 21px;
    line-height: 1; }
  .text--detail {
    font-family: 'Kanit-Light', tahoma;
    font-size: 21px; }
  .text--text {
    font-size: 2em;
    color: #65431d; }
    @media (max-width: 640px) {
      .text--text {
        font-size: 8vw; } }
  .text--purchase-h {
    font-size: 1.8em;
    color: #65431d; }
    @media (max-width: 640px) {
      .text--purchase-h {
        font-size: 7vw; } }
  .text--purchase-info {
    font-size: 1.4em;
    color: #65431d;
    text-align: left;
    padding-left: 15%; }
    @media (max-width: 640px) {
      .text--purchase-info {
        font-size: 5vw;
        text-align: left;
        padding-left: 10px; } }

.btn_ok {
  width: 95px;
  height: 29px;
  cursor: pointer;
  margin: 5px 10px; }
  .btn_ok:hover {
    background-position: bottom center; }

.btn_cancel {
  width: 95px;
  height: 29px;
  cursor: pointer;
  margin: 5px 10px; }
  .btn_cancel:hover {
    background-position: bottom center; }
